# Autogenerated wrapper script for LibGit2_jll for powerpc64le-linux-gnu
export libgit2

using MbedTLS_jll
using LibSSH2_jll
using LibCURL_jll
## Global variables
PATH = ""
LIBPATH = ""
LIBPATH_env = "LD_LIBRARY_PATH"

# Relative path to `libgit2`
const libgit2_splitpath = ["lib", "libgit2.so"]

# This will be filled out by __init__() for all products, as it must be done at runtime
libgit2_path = ""

# libgit2-specific global declaration
# This will be filled out by __init__()
libgit2_handle = C_NULL

# This must be `const` so that we can use it with `ccall()`
const libgit2 = "libgit2.so.28"


"""
Open all libraries
"""
function __init__()
    global prefix = abspath(joinpath(@__DIR__, ".."))

    # Initialize PATH and LIBPATH environment variable listings
    global PATH_list, LIBPATH_list
    append!.(Ref(PATH_list), (MbedTLS_jll.PATH_list, LibSSH2_jll.PATH_list, LibCURL_jll.PATH_list,))
    append!.(Ref(LIBPATH_list), (MbedTLS_jll.LIBPATH_list, LibSSH2_jll.LIBPATH_list, LibCURL_jll.LIBPATH_list,))

    global libgit2_path = abspath(joinpath(artifact"LibGit2", libgit2_splitpath...))

    # Manually `dlopen()` this right now so that future invocations
    # of `ccall` with its `SONAME` will find this path immediately.
    global libgit2_handle = dlopen(libgit2_path)
    push!(LIBPATH_list, dirname(libgit2_path))

    # Filter out duplicate and empty entries in our PATH and LIBPATH entries
    filter!(!isempty, unique!(PATH_list))
    filter!(!isempty, unique!(LIBPATH_list))
    global PATH = join(PATH_list, ':')
    global LIBPATH = join(LIBPATH_list, ':')

    # Add each element of LIBPATH to our DL_LOAD_PATH (necessary on platforms
    # that don't honor our "already opened" trick)
    #for lp in LIBPATH_list
    #    push!(DL_LOAD_PATH, lp)
    #end
end  # __init__()

